### Method

# Gimp PlugIn extension_enable

#### Declaration [src]

    void
    gimp_plug_in_extension_enable (
      GimpPlugIn* plug_in
    )

#### Description [src]

Enables asynchronous processing of messages from the main GIMP application.

Normally, a plug-in is not called by GIMP except for the call to the procedure it implements. All subsequent communication is triggered by the plug-in and all messages sent from GIMP to the plug-in are just answers to requests the plug-in made.

If the plug-in however registered temporary procedures using `gimp_plug_in_add_temp_procedure()`, it needs to be able to receive requests to execute them. Usually this will be done by running `gimp_plug_in_extension_process()` in an endless loop.

If the plug-in cannot use `gimp_plug_in_extension_process()`, i.e. if it has a GUI and is hanging around in a `GMainLoop`, it must call `gimp_plug_in_extension_enable()`.

Note that the plug-in does not need to be a PDBProcType.EXTENSION to register temporary procedures.

See also: `gimp_plug_in_add_temp_procedure()`.

Available since: | 3.0